=== src/CMakeLists.txt ===
file(GLOB LIBQES_SOURCES qes_*.c)

# Targets
ADD_LIBRARY(qes_static STATIC ${LIBQES_SOURCES})
SET_TARGET_PROPERTIES(qes_static PROPERTIES OUTPUT_NAME qes)
TARGET_LINK_LIBRARIES(qes_static ${LIBQES_DEPENDS_LIBS})
ADD_LIBRARY(qes SHARED ${LIBQES_SOURCES})
SET_TARGET_PROPERTIES(qes PROPERTIES SONAME_VERSION 0 VERSION 0)
TARGET_LINK_LIBRARIES(qes ${LIBQES_DEPENDS_LIBS})

CONFIGURE_FILE(qes_config.h.in ${CMAKE_BINARY_DIR}/qes_config.h)
FILE(GLOB LIBQES_HEADERS ${CMAKE_SOURCE_DIR}/src/*.h ${CMAKE_BINARY_DIR}/qes_config.h)

IF (NOT LIBQES_DONT_INSTALL)
	INSTALL(FILES ${LIBQES_HEADERS} DESTINATION "include")
	INSTALL(TARGETS qes qes_static DESTINATION "lib")
ENDIF()
