=== debian/changelog ===
libqes (0.1.21-1) unstable; urgency=medium

  * New upstream release (Closes: #808710)

 -- Kevin Murray <spam@kdmurray.id.au>  Tue, 22 Dec 2015 10:59:59 +1100

libqes (0.1.20-1) unstable; urgency=medium

  * Initial release (Closes: #805153)

 -- Kevin Murray <spam@kdmurray.id.au>  Wed, 21 Oct 2015 16:20:26 +1100
