=== debian/control ===
Source: libqes
Priority: optional
Maintainer: Debian Med Packaging <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <spam@kdmurray.id.au>
Build-Depends: debhelper (>= 9),
               cmake,
               zlib1g-dev,
               dh-exec,
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kdmurray91/libqes
Vcs-Git: git://anonscm.debian.org/debian-med/libqes.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libqes.git

Package: libqes-dev
Section: libdevel
Architecture: any
Depends: libqes0 (= ${binary:Version}),
        ${misc:Depends},
        zlib1g-dev,
Description: DNA sequence parsing library -- development
 A small C library, with a bioinformatic focus. Optimised for speed and a clean
 API. Handles sequence parsing and miscellaneous manipulation of DNA sequences.
 .
 These are the development headers required to use libqes in your own
 applications.

Package: libqes0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: DNA sequence parsing library
 A small C library, with a bioinformatic focus. Optimised for speed and a clean
 API. Handles sequence parsing and miscellaneous manipulation of DNA sequences.
 .
 This package is the shared library which programs using libqes should link to.
 Developers will want libqes-dev installed to use libqes in developing their
 applications.
