=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/libqes_$1.tar.gz/" \
  https://github.com/kdmurray91/libqes/tags .*/v?(\d\S*)\.tar\.gz
