## libqes 0.2.7

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,22 @@
 file(GLOB LIBQES_SOURCES qes_*.c)
 
 # Targets
-ADD_LIBRARY(qes_static STATIC ${LIBQES_SOURCES})
+if(LIBQES_DONT_INSTALL)
+    ADD_LIBRARY(qes_static STATIC EXCLUDE_FROM_ALL ${LIBQES_SOURCES})
+    ADD_LIBRARY(qes SHARED EXCLUDE_FROM_ALL ${LIBQES_SOURCES})
+else()
+    ADD_LIBRARY(qes_static STATIC ${LIBQES_SOURCES})
+    ADD_LIBRARY(qes SHARED ${LIBQES_SOURCES})
+endif()
+
+
 SET_TARGET_PROPERTIES(qes_static PROPERTIES OUTPUT_NAME qes)
 TARGET_LINK_LIBRARIES(qes_static ${LIBQES_DEPENDS_LIBS})
-ADD_LIBRARY(qes SHARED ${LIBQES_SOURCES})
+target_include_directories(qes_static PUBLIC ${LIBQES_DEPENDS_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR})
+
 SET_TARGET_PROPERTIES(qes PROPERTIES SONAME_VERSION 0 VERSION 0)
 TARGET_LINK_LIBRARIES(qes ${LIBQES_DEPENDS_LIBS})
+target_include_directories(qes PUBLIC ${LIBQES_DEPENDS_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR})
 
 CONFIGURE_FILE(qes_config.h.in ${CMAKE_BINARY_DIR}/qes_config.h)
 FILE(GLOB LIBQES_HEADERS ${CMAKE_SOURCE_DIR}/src/*.h ${CMAKE_BINARY_DIR}/qes_config.h)
