=== debian/changelog ===
libqes (0.2.7-1) unstable; urgency=medium

  * New upstream release (fixes major parsing bug)
  * Update standards version to 3.9.8
  * Update uploader email
  * Hardening+all to pull in bindnow hardening

 -- Kevin Murray <kdmfoss@gmail.com>  Thu, 01 Dec 2016 12:19:16 +1100
