=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: libqes
 Priority: optional
 Maintainer: Debian Med Packaging <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Kevin Murray <spam@kdmurray.id.au>
+Uploaders: Kevin Murray <kdmfoss@gmail.com>
 Build-Depends: debhelper (>= 9),
                cmake,
                zlib1g-dev,
                dh-exec,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/kdmurray91/libqes
-Vcs-Git: git://anonscm.debian.org/debian-med/libqes.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libqes.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libqes.git
 
 Package: libqes-dev
