## libqes 0.2.8

=== debian/changelog ===
libqes (0.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sat, 28 Apr 2018 22:41:33 +0200
