=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: libqes
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Kevin Murray <kdmfoss@gmail.com>
+Section: libs
 Priority: optional
-Maintainer: Debian Med Packaging <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Kevin Murray <kdmfoss@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                cmake,
                zlib1g-dev,
-               dh-exec,
-Standards-Version: 3.9.8
-Section: libs
+               dh-exec
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/libqes
+Vcs-Git: https://salsa.debian.org/med-team/libqes.git
 Homepage: https://github.com/kdmurray91/libqes
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libqes.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libqes.git
 
 Package: libqes-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libqes0 (= ${binary:Version}),
-        ${misc:Depends},
-        zlib1g-dev,
+         ${misc:Depends},
+         zlib1g-dev
 Description: DNA sequence parsing library -- development
  A small C library, with a bioinformatic focus. Optimised for speed and a clean
  API. Handles sequence parsing and miscellaneous manipulation of DNA sequences.
