## libqes 0.2.8%2Bds

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,12 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+override_dh_install:
+	dh_install
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    --movedev debian/tmp/usr/include usr \
+		    debian/tmp/usr/lib/*.so
