=== debian/changelog ===
libqes (0.2.8+ds-2) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump minimum cmake to 3.10. (Closes: #1113190)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: bump to watch file version 5.

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Oct 2025 22:13:16 +0200

libqes (0.2.8+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)

  [ Shayan Doust ]
  * Repack to exclude crc.* (Closes: #965238)
  * New upstream version 0.2.8+ds
  * Mangle version (ds) due to repack

 -- Shayan Doust <hello@shayandoust.me>  Wed, 03 Feb 2021 19:16:19 +0000

libqes (0.2.8-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use d-shlibs

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 14:06:07 +0100
