=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libqes
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Kevin Murray <kdmfoss@gmail.com>
-Section: libs
+Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                zlib1g-dev,
-               dh-exec
-Standards-Version: 4.1.4
+               d-shlibs
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libqes
 Vcs-Git: https://salsa.debian.org/med-team/libqes.git
 Homepage: https://github.com/kdmurray91/libqes
@@ -27,6 +27,7 @@
 
 Package: libqes0
 Architecture: any
+Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: DNA sequence parsing library
