=== debian/watch ===
Version: 5

Source: https://github.com/kdmurray91/libqes/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Compression: xz
Dversionmangle: s/\.ds//
Filenamemangle: s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/libqes_$1.tar.gz/
Repack: yes
Repacksuffix: +ds
